EX(4)

NAME
ex - Ethernet device driver for the Intel EtherExpress Pro/10 and Pro/10+

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device ex

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    if_ex_load="YES"

DESCRIPTION
The ex driver provides support for Ethernet adapters based on the Intel i82595 chip.

On the ISA bus, the card will be searched for in the I/O address range 0x200 - 0x3a0. The IRQ will be read from the EEPROM on the card. For correct operation Plug-N-Play support should be disabled.

On the PC Card bus, the card will be automatically recognized and configured.

HARDWARE
The ex driver supports the following Ethernet adapters:

•   Intel EtherExpress Pro/10 ISA
•   Intel EtherExpress Pro/10+ ISA
•   Olicom OC2220 Ethernet PC Card
•   Olicom OC2232 Ethernet/Modem PC Card
•   Silicom Ethernet LAN PC Card
•   Silicom EtherSerial LAN PC Card

DIAGNOSTICS

ex%d: Intel EtherExpress Pro/10, address %6D, connector %s The device probe found an installed card, and was able to correctly install the device driver.

ex%d: WARNING: board's EEPROM is configured for IRQ %d, using %d The device probe detected that the board is configured for a different interrupt than the one specified in the kernel configuration file.

ex%d: invalid IRQ. The device probe detected an invalid IRQ setting.

SEE ALSO
arp(4), netintro(4), ng_ether(4), ifconfig(8)

HISTORY
The ex device driver first appeared in FreeBSD 2.2.

AUTHORS
-nosplit The ex device driver was written by Javier Martín Rueda. The PC Card attachment was written by Mitsuru ISAWAKI and Warner Losh. This manual page was written by David E. O'Brien.

BUGS
Currently the driver does not support multicast.

The Silicom EtherSerial card's serial port does not currently work. The Olicom OC2232 PC Card should work with the ex driver, but is currently completely broken.